gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Ruler A horizontal ruler.

A horizontal ruler is typically used to show the horizontal location of the mouse in the window and to display the horizontal size of the window in the specified units. The available units of measurement are , and . The default is .

A horizontal ruler is typically used above or below another widget such as a .

Note:- This widget is considered too specialized for GTK+, and will likely be moved to some other package in the future.

- Constructor
  2.12.0.0
  Creates a new horizontal ruler.
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .